> For the complete documentation index, see [llms.txt](https://docs.axid.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.axid.app/ko/api/reference.md).

# API 레퍼런스

전체 인터랙티브 레퍼런스는 GitBook OpenAPI 페이지로 호스팅됩니다. OpenAPI 3.1 사양은 서버가 사용하는 것과 동일한 Zod 스키마에서 생성되므로, 보이는 내용이 곧 서버가 강제하는 내용입니다.

## 기본 URL

```
https://axid.app/api/v1
```

## 인증

```
Authorization: Bearer axid_live_<your_key>
```

참조 [인증](/ko/guides/authentication.md).

## 기능 수준

모든 응답에는 다음이 포함됩니다 `X-Axid-Feature-Level: 5`. 참조 [핵심 개념 → 기능 수준](/ko/guides/concepts.md) 이 헤더가 증가할 때 무엇이 변경되는지

## 안정적인 블록 11개

이들은 봇 토큰에서 허용되는 유일한 블록 유형입니다. 다른 등록된 블록(예: `block_chart`, `block_form`)은 다음 오류로 거부됩니다 `400 deprecated_block`.

| 블록 유형                     | 목적                 | 참고                                                     |
| ------------------------- | ------------------ | ------------------------------------------------------ |
| `block_text`              | 본문 단락              | `variant: body \| caption \| overline`                 |
| `block_heading`           | 섹션 제목              | `level: '1' \| '2' \| '3'`                             |
| `block_quote`             | 인용 발췌문             | 선택적 출처 표기                                              |
| `block_divider`           | 시각적 구분선            | 선택적 가운데 정렬 레이블                                         |
| `block_image`             | 선택적 캡션이 있는 이미지     | `url` 여야 합니다 `https:`                                  |
| `block_link_unfurl`       | 링크 미리보기 카드         | `url` + `제목` 최소                                        |
| `block_callout`           | 인라인 콜아웃 박스         | `variant: info \| warning \| success \| error \| note` |
| `block_alert_banner`      | 선택적 CTA가 있는 심각도 배너 | `variant: info \| warning \| error \| success`         |
| `block_button_group`      | 버튼 행               | 각 버튼: 정확히 하나의 `url` 또는 `actionId`                      |
| `block_linear_issue_card` | Linear 이슈 요약       | `url` 호스트는 다음이어야 합니다 `linear.app`                      |
| `block_github_pr_card`    | GitHub PR 요약       | `url` 호스트는 다음이어야 합니다 `github.com`                      |

## 소스

* **OpenAPI 사양**: `https://axid.app/api/openapi` (yaml)
* **저장소 소스**: [`docs/api/openapi.yaml`](https://github.com/axid-app/axid/blob/main/docs/api/openapi.yaml)
* **블록 스키마**: `packages/blocks/src/blocks/*/schema.ts` (Zod, SSoT)

***

> **인터랙티브 레퍼런스(플레이그라운드 포함)는**: 사이드바의 OpenAPI 페이지를 참조하세요.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.axid.app/ko/api/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
